#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"


void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkWidget	*widget;
	GtkEntry		*entry;
	GtkLabel		*label;
	gchar				*name,*answer;
	
	/* テキスト・エントリ（テキスト・エリア）の取得	*/
	widget = lookup_widget(GTK_WIDGET(button),"entry1");
	entry = GTK_ENTRY(widget);	/* GtkEntry型にキャスト */
	
	/* テキストの取得	*/
	name = gtk_entry_get_text(entry);
	
	/* ラベル(label2)の取得	*/
	widget = lookup_widget(GTK_WIDGET(button),"label2");
	label = GTK_LABEL(widget);	/* GtkLabel型にキャスト */
	
	/* ラベルにセットする文字列を生成	*/
	answer = g_strdup_printf("%sさん !!こんにちは!!",name);
	
	/* ラベルのセット */
	gtk_label_set_text(label,answer);
}
